/***********************************************************************/
/*                                                                     */
/*                         Caml Special Light                          */
/*                                                                     */
/*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1995 Institut National de Recherche en Informatique et   */
/*  Automatique.  Distributed only by permission.                      */
/*                                                                     */
/***********************************************************************/

/* getlogin.c,v 1.2 1995/08/09 15:02:55 xleroy Exp */

#include <mlvalues.h>
#include <alloc.h>
#include "unix.h"
#include <errno.h>

extern char * getlogin();

value unix_getlogin()            /* ML */
{
  char * name;
  name = getlogin();
  if (name == NULL) unix_error(ENOENT, "getlogin", Nothing);
  return copy_string(name);
}
